namespace Common.Tests
{
    /// <summary>
    /// This is a class that won't be shown.
    /// </summary>
    class BadQuote
    {
        /// <summary>
        ///   This string will not be handled well by doxygen.  The trailing \ "
        ///   will be interpretted as an escaped charater instead of a \
        ///   followed by the end of the string.
        /// </summary>
        public string BadString = @"This\String\Is\Bad\";

        /// <summary>
        ///   This method will not be seen by Doxygen because of BadString.
        /// </summary>
        ///   <param name="value">
        ///     The value to pass into the method.
        ///   </param>
        public void UnSeenMethod(int value)
        {
                value += 1;
        }

}
